/* Remote Interface for the PurchaseServer */

package team2.ejb.PurchaseManagement;
import java.io.*;
import javax.ejb.*;
import java.rmi.*;

public interface PurchaseServerRemote extends EJBObject 
{
// Create a Purchase Order - only for administrator
 public void createOrder(String id,String name,Double qty,Double price, String Date, String assignedTo,String from) throws RemoteException;

// Lists all the purchase orders under this users name;
	public String[] getPurchaseOrders(String userName) throws RemoteException;
// Returns a purchase report in the form of a string 
	public String completedPurchaseOrder(String id) throws RemoteException;
}

