package team2.ejb.clients;

import team2.ejb.SalesManagement.*;

import javax.naming.InitialContext;
import javax.naming.Context;
import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;
import java.rmi.*;

public class client1 
{
   public static void main(String [] args) 
   {
      try 
      {
         Context jndiContext = getInitialContext();
         Object ref1 = jndiContext.lookup("SalesServerHomeRemote");
         SalesServerHomeRemote serverhome = (SalesServerHomeRemote)
            PortableRemoteObject.narrow(ref1,SalesServerHomeRemote.class);   
		
	SalesServerRemote salesserver = serverhome.create();
	salesserver.makeOrder("1","books","jan2",new Double(3.0),new Double(4.0),"Krishna");

         Object ref2 = jndiContext.lookup("SalesOrderHomeRemote");
         SalesOrderHomeRemote saleshome = (SalesOrderHomeRemote)
            PortableRemoteObject.narrow(ref2,SalesOrderHomeRemote.class);   
		
	SalesOrderRemote salesorder = saleshome.findByPrimaryKey("1");
	String str = salesorder.getItemName();
	System.out.println("Got the name as "+str);
      } 
      catch (javax.naming.NamingException ne){ne.printStackTrace();}
      catch (RemoteException re){re.printStackTrace();}
      catch (javax.ejb.CreateException ce){ce.printStackTrace();}
     catch (javax.ejb.FinderException fe){fe.printStackTrace();}
   }

   public static Context getInitialContext() 
      throws javax.naming.NamingException 
   {
      System.out.println("get out");
      return new InitialContext();
   }
}
